
use builtin;
use str;

set edit:completion:arg-completer[sq] = {|@words|
    fn spaces {|n|
        builtin:repeat $n ' ' | str:join ''
    }
    fn cand {|text desc|
        edit:complex-candidate $text &display=$text' '(spaces (- 14 (wcswidth $text)))$desc
    }
    var command = 'sq'
    for word $words[1..-1] {
        if (str:has-prefix $word '-') {
            break
        }
        set command = $command';'$word
    }
    var completions = [
        &'sq'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand encrypt 'Encrypts a message'
            cand decrypt 'Decrypts a message'
            cand sign 'Signs messages or data files'
            cand verify 'Verifies signed messages or detached signatures'
            cand inspect 'Inspects data, like file(1)'
            cand cert 'Manages certificates'
            cand key 'Manages keys'
            cand keyring 'Manages collections of keys or certs'
            cand pki 'Authenticate certs using the Web of Trust'
            cand autocrypt 'Communicates certificates using Autocrypt'
            cand network 'Retrieves and publishes certificates over the network'
            cand toolbox 'Tools for developers, maintainers, and forensic specialists'
            cand version 'Detailed version and output version information'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;encrypt'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --recipient-email 'Encrypts to all certificates that can be authenticated for the specified email address'
            cand --recipient-userid 'Encrypts to all certificates that can be authenticated for the specified User ID'
            cand --recipient-cert 'Encrypts to the named certificates'
            cand --recipient-file 'Encrypts to all certificates in CERT_RING_FILE'
            cand --set-metadata-time 'Sets time for encrypted file as metadata'
            cand --signer-file 'Signs the message using the key in KEY_FILE'
            cand --private-key-store 'Provides parameters for private key store'
            cand --encrypt-for 'Selects what kind of keys are considered for encryption.'
            cand --compression 'Selects compression scheme to use'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand --set-metadata-filename 'Sets the filename of the encrypted file as metadata'
            cand -s 'Prompts to add a password to encrypt with'
            cand --symmetric 'Prompts to add a password to encrypt with'
            cand --use-expired-subkey 'Falls back to expired encryption subkeys'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;decrypt'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand -n 'Sets the threshold of valid signatures to N'
            cand --signatures 'Sets the threshold of valid signatures to N'
            cand --signer-file 'Verifies signatures using the certificates in CERT_FILE'
            cand --recipient-file 'Decrypts the message using the key in KEY_FILE'
            cand --private-key-store 'Provides parameters for private key store'
            cand --session-key 'Decrypts an encrypted message using SESSION-KEY'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --dump-session-key 'Prints the session key to stderr'
            cand --dump 'Prints a packet dump to stderr'
            cand -x 'Prints a hexdump (implies `--dump`)'
            cand --hex 'Prints a hexdump (implies `--dump`)'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;sign'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --private-key-store 'Provides parameters for private key store'
            cand --merge 'Merges signatures from the input and SIGNED-MESSAGE'
            cand --signer-file 'Signs the message using the key in KEY_FILE'
            cand --notation 'Adds a notation to the certification.'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand --detached 'Creates a detached signature'
            cand --cleartext-signature 'Creates a cleartext signature'
            cand -a 'Appends a signature to existing signature'
            cand --append 'Appends a signature to existing signature'
            cand -n 'Signs a message and all existing signatures'
            cand --notarize 'Signs a message and all existing signatures'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;verify'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --detached 'Verifies a detached signature'
            cand -n 'Sets the threshold of valid signatures to N'
            cand --signatures 'Sets the threshold of valid signatures to N'
            cand --signer-file 'Verifies signatures using the certificate in CERT_FILE'
            cand --signer-cert 'Verifies signatures using the specified certificate'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;inspect'= {
            cand --cert 'Reads the specified certificate from the certificate store'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --certifications 'Prints third-party certifications'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand import 'Imports certificates into the local certificate store'
            cand export 'Exports certificates from the local certificate store'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;cert;import'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert;export'= {
            cand --cert 'Returns certificates that have the specified fingerprint or key ID'
            cand --key 'Returns certificates where the primary key or a subkey has the specified fingerprint or key ID'
            cand --userid 'Returns certificates that have a User ID that matches exactly, including case'
            cand --grep 'Returns certificates that have a User ID that contains the string, case insensitively'
            cand --email 'Returns certificates that have a User ID with the specified email address, case insensitively'
            cand --domain 'Returns certificates that have a User ID with an email address from the specified domain'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;cert;help'= {
            cand import 'Imports certificates into the local certificate store'
            cand export 'Exports certificates from the local certificate store'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;cert;help;import'= {
        }
        &'sq;cert;help;export'= {
        }
        &'sq;cert;help;help'= {
        }
        &'sq;key'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand generate 'Generates a new key'
            cand password 'Changes password protecting secrets'
            cand revoke 'Revoke a certificate'
            cand userid 'Manages User IDs'
            cand subkey 'Manages Subkeys'
            cand extract-cert 'Converts a key to a cert'
            cand attest-certifications 'Attests to third-party certifications'
            cand adopt 'Binds keys from one certificate to another'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;generate'= {
            cand -u 'Adds a userid to the key'
            cand --userid 'Adds a userid to the key'
            cand -c 'Selects the cryptographic algorithms for the key'
            cand --cipher-suite 'Selects the cryptographic algorithms for the key'
            cand --expiry 'Defines EXPIRY for the key as ISO 8601 formatted string or custom duration.'
            cand --can-encrypt 'Adds an encryption-capable subkey [default: universal]'
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --rev-cert 'Writes the revocation certificate to FILE'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --with-password 'Protects the key with a password'
            cand --can-sign 'Adds a signing-capable subkey (default)'
            cand --cannot-sign 'Adds no signing-capable subkey'
            cand --can-authenticate 'Adds an authentication-capable subkey (default)'
            cand --cannot-authenticate 'Adds no authentication-capable subkey'
            cand --cannot-encrypt 'Adds no encryption-capable subkey'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;password'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --old-password-file 'File containing password to decrypt key'
            cand --new-password-file 'File containing password to encrypt key'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --clear 'Emit a key with unencrypted secrets'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;revoke'= {
            cand --certificate-file 'The certificate to revoke'
            cand --revocation-file 'Signs the revocation certificate using the key in KEY_FILE'
            cand --private-key-store 'Provides parameters for private key store'
            cand --notation 'Adds a notation to the certification.'
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand add 'Adds a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strips a User ID'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;userid;add'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --private-key-store 'Provides parameters for private key store'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid;revoke'= {
            cand --certificate-file 'The certificate containing the User ID to revoke'
            cand --revocation-file 'Signs the revocation certificate using the key in KEY_FILE'
            cand --private-key-store 'Provides parameters for private key store'
            cand --notation 'Adds a notation to the certification.'
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid;strip'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand -u 'User IDs to strip'
            cand --userid 'User IDs to strip'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;userid;help'= {
            cand add 'Adds a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strips a User ID'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;userid;help;add'= {
        }
        &'sq;key;userid;help;revoke'= {
        }
        &'sq;key;userid;help;strip'= {
        }
        &'sq;key;userid;help;help'= {
        }
        &'sq;key;subkey'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand add 'Adds a newly generated Subkey'
            cand revoke 'Revoke a subkey'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;subkey;add'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --private-key-store 'Provides parameters for private key store'
            cand -c 'Selects the cryptographic algorithms for the subkey'
            cand --cipher-suite 'Selects the cryptographic algorithms for the subkey'
            cand --expiry 'Defines EXPIRY for the subkey as ISO 8601 formatted string or custom duration.'
            cand --can-encrypt 'Adds an encryption capability to subkey [default: universal]'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand --can-sign 'Adds signing capability to subkey'
            cand --can-authenticate 'Adds authentication capability to subkey'
            cand --with-password 'Protects the subkey with a password'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;subkey;revoke'= {
            cand --certificate-file 'The certificate containing the subkey to revoke'
            cand --revocation-file 'Signs the revocation certificate using the key in KEY_FILE'
            cand --private-key-store 'Provides parameters for private key store'
            cand --notation 'Adds a notation to the certification.'
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;subkey;help'= {
            cand add 'Adds a newly generated Subkey'
            cand revoke 'Revoke a subkey'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;subkey;help;add'= {
        }
        &'sq;key;subkey;help;revoke'= {
        }
        &'sq;key;subkey;help;help'= {
        }
        &'sq;key;extract-cert'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;attest-certifications'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --none 'Removes all prior attestations'
            cand --all 'Attests to all certifications [default]'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;adopt'= {
            cand -k 'Adds the key or subkey KEY to the TARGET-KEY'
            cand --key 'Adds the key or subkey KEY to the TARGET-KEY'
            cand --expire 'Makes adopted subkeys expire at the given time'
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --allow-broken-crypto 'Allows adopting keys from certificates using broken cryptography'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;key;help'= {
            cand generate 'Generates a new key'
            cand password 'Changes password protecting secrets'
            cand revoke 'Revoke a certificate'
            cand userid 'Manages User IDs'
            cand subkey 'Manages Subkeys'
            cand extract-cert 'Converts a key to a cert'
            cand attest-certifications 'Attests to third-party certifications'
            cand adopt 'Binds keys from one certificate to another'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;key;help;generate'= {
        }
        &'sq;key;help;password'= {
        }
        &'sq;key;help;revoke'= {
        }
        &'sq;key;help;userid'= {
            cand add 'Adds a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strips a User ID'
        }
        &'sq;key;help;userid;add'= {
        }
        &'sq;key;help;userid;revoke'= {
        }
        &'sq;key;help;userid;strip'= {
        }
        &'sq;key;help;subkey'= {
            cand add 'Adds a newly generated Subkey'
            cand revoke 'Revoke a subkey'
        }
        &'sq;key;help;subkey;add'= {
        }
        &'sq;key;help;subkey;revoke'= {
        }
        &'sq;key;help;extract-cert'= {
        }
        &'sq;key;help;attest-certifications'= {
        }
        &'sq;key;help;adopt'= {
        }
        &'sq;key;help;help'= {
        }
        &'sq;keyring'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand list 'Lists keys in a keyring'
            cand split 'Splits a keyring into individual keys'
            cand merge 'Merges keys or keyrings into a single keyring'
            cand filter 'Joins keys into a keyring applying a filter'
            cand lint 'Checks certificates for issues'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;keyring;list'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --all-userids 'Lists all user ids'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;keyring;split'= {
            cand -p 'Writes to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --prefix 'Writes to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;keyring;merge'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;keyring;filter'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --userid 'Matches on USERID'
            cand --name 'Matches on NAME'
            cand --email 'Matches on email ADDRESS'
            cand --domain 'Matches on email domain FQDN'
            cand --handle 'Matches on (sub)key fingerprints and key ids'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -P 'Removes certificate components not matching the filter'
            cand --prune-certs 'Removes certificate components not matching the filter'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand --to-cert 'Converts any keys in the input to certificates.  Converting a key to a certificate removes secret key material from the key thereby turning it into a certificate.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;keyring;lint'= {
            cand -p 'A key''s password.  Normally this is not needed: if stdin is connected to a tty, the linter will ask for a password when needed'
            cand --password 'A key''s password.  Normally this is not needed: if stdin is connected to a tty, the linter will ask for a password when needed'
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -q 'Quiet; does not output any diagnostics'
            cand --quiet 'Quiet; does not output any diagnostics'
            cand -F 'Attempts to fix certificates, when possible'
            cand --fix 'Attempts to fix certificates, when possible'
            cand -e 'When fixing a certificate, the fixed certificate is exported without any secret key material.  Using this switch causes any secret key material to also be exported'
            cand --export-secret-keys 'When fixing a certificate, the fixed certificate is exported without any secret key material.  Using this switch causes any secret key material to also be exported'
            cand -k 'If set, outputs a list of fingerprints, one per line, of certificates that have issues.  This output is intended for use by scripts'
            cand --list-keys 'If set, outputs a list of fingerprints, one per line, of certificates that have issues.  This output is intended for use by scripts'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;keyring;help'= {
            cand list 'Lists keys in a keyring'
            cand split 'Splits a keyring into individual keys'
            cand merge 'Merges keys or keyrings into a single keyring'
            cand filter 'Joins keys into a keyring applying a filter'
            cand lint 'Checks certificates for issues'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;keyring;help;list'= {
        }
        &'sq;keyring;help;split'= {
        }
        &'sq;keyring;help;merge'= {
        }
        &'sq;keyring;help;filter'= {
        }
        &'sq;keyring;help;lint'= {
        }
        &'sq;keyring;help;help'= {
        }
        &'sq;pki'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand authenticate 'Authenticate a binding'
            cand lookup 'Lookup the certificates associated with a User ID'
            cand identify 'Identify a certificate'
            cand certify 'Certifies a User ID for a Certificate'
            cand link 'Manages authenticated certificate and User ID links'
            cand list 'List all authenticated bindings (User ID and certificate pairs)'
            cand path 'Verify the specified path'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;authenticate'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --email 'Changes the USERID parameter to match User IDs with the specified email address'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;lookup'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --email 'Changes the USERID parameter to match User IDs with the specified email address'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;identify'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;certify'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand -d 'Sets the trust depth'
            cand --depth 'Sets the trust depth'
            cand -a 'Sets the amount of trust'
            cand --amount 'Sets the amount of trust'
            cand -r 'Adds a regular expression to constrain what a trusted introducer can certify'
            cand --regex 'Adds a regular expression to constrain what a trusted introducer can certify'
            cand --notation 'Adds a notation to the certification.'
            cand --expiry 'Defines EXPIRY for the certification as ISO 8601 formatted string or custom duration.'
            cand --private-key-store 'Provides parameters for private key store'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -l 'Makes the certification a local certification'
            cand --local 'Makes the certification a local certification'
            cand --non-revocable 'Marks the certification as being non-revocable'
            cand --email 'Treat the given user ID as an email address.'
            cand --add-userid 'Add the given user ID if it doesn''t exist.'
            cand --allow-not-alive-certifier 'Don''t fail if the certificate making the certification is not alive.'
            cand --allow-revoked-certifier 'Don''t fail if the certificate making the certification is revoked.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand add 'Link a certificate and a User ID'
            cand retract 'Retracts links'
            cand list 'Lists links'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;link;add'= {
            cand -d 'Sets the trust depth'
            cand --depth 'Sets the trust depth'
            cand --ca 'Marks the certificate as a certification authority for a domain'
            cand -a 'Sets the amount of trust'
            cand --amount 'Sets the amount of trust'
            cand -r 'Adds a regular expression to constrain what a trusted introducer can certify'
            cand --regex 'Adds a regular expression to constrain what a trusted introducer can certify'
            cand --notation 'Adds a notation to the certification.'
            cand --expiry 'Defines EXPIRY for the acceptance as ISO 8601 formatted string or custom duration.'
            cand --userid 'A User ID to link to the certificate.'
            cand --email 'An email address to link to the certificate.'
            cand --petname 'A User ID to link to the certificate.'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --temporary 'Temporarily accepts the binding'
            cand --all 'Links all valid self-signed User ID to the certificate.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link;retract'= {
            cand --notation 'Adds a notation to the certification.'
            cand --userid 'A User ID to unlink from the certificate.'
            cand --email 'An email address to unlink from the certificate.'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link;list'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --ca 'Only lists bindings linked as CAs.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;link;help'= {
            cand add 'Link a certificate and a User ID'
            cand retract 'Retracts links'
            cand list 'Lists links'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;link;help;add'= {
        }
        &'sq;pki;link;help;retract'= {
        }
        &'sq;pki;link;help;list'= {
        }
        &'sq;pki;link;help;help'= {
        }
        &'sq;pki;list'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --email 'Changes the USERID parameter to match User IDs with the specified email address'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;path'= {
            cand -a 'The required amount of trust'
            cand --amount 'The required amount of trust'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --gossip 'Treats all certificates as unreliable trust roots'
            cand --certification-network 'Treats the network as a certification network'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;pki;help'= {
            cand authenticate 'Authenticate a binding'
            cand lookup 'Lookup the certificates associated with a User ID'
            cand identify 'Identify a certificate'
            cand certify 'Certifies a User ID for a Certificate'
            cand link 'Manages authenticated certificate and User ID links'
            cand list 'List all authenticated bindings (User ID and certificate pairs)'
            cand path 'Verify the specified path'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;pki;help;authenticate'= {
        }
        &'sq;pki;help;lookup'= {
        }
        &'sq;pki;help;identify'= {
        }
        &'sq;pki;help;certify'= {
        }
        &'sq;pki;help;link'= {
            cand add 'Link a certificate and a User ID'
            cand retract 'Retracts links'
            cand list 'Lists links'
        }
        &'sq;pki;help;link;add'= {
        }
        &'sq;pki;help;link;retract'= {
        }
        &'sq;pki;help;link;list'= {
        }
        &'sq;pki;help;list'= {
        }
        &'sq;pki;help;path'= {
        }
        &'sq;pki;help;help'= {
        }
        &'sq;autocrypt'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand import 'Imports Autocrypt-encoded certificates'
            cand decode 'Reads Autocrypt-encoded certificates'
            cand encode-sender 'Encodes a certificate into an Autocrypt header'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;autocrypt;import'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;autocrypt;decode'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;autocrypt;encode-sender'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --email 'Sets the address [default: primary userid]'
            cand --prefer-encrypt 'Sets the prefer-encrypt attribute'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;autocrypt;help'= {
            cand import 'Imports Autocrypt-encoded certificates'
            cand decode 'Reads Autocrypt-encoded certificates'
            cand encode-sender 'Encodes a certificate into an Autocrypt header'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;autocrypt;help;import'= {
        }
        &'sq;autocrypt;help;decode'= {
        }
        &'sq;autocrypt;help;encode-sender'= {
        }
        &'sq;autocrypt;help;help'= {
        }
        &'sq;network'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand fetch 'Retrieves certificates using all supported network services'
            cand keyserver 'Retrieves and publishes certificates via key servers'
            cand wkd 'Retrieves and publishes certificates via Web Key Directories'
            cand dane 'Retrieves and publishes certificates via DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;fetch'= {
            cand -s 'Sets the key server to use.  Can be given multiple times.'
            cand --server 'Sets the key server to use.  Can be given multiple times.'
            cand -o 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;keyserver'= {
            cand -s 'Sets the key server to use.  Can be given multiple times.'
            cand --server 'Sets the key server to use.  Can be given multiple times.'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand fetch 'Retrieves certificates from key servers'
            cand publish 'Publishes certificates on key servers'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;keyserver;fetch'= {
            cand -o 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand -s 'Sets the key server to use.  Can be given multiple times.'
            cand --server 'Sets the key server to use.  Can be given multiple times.'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;keyserver;publish'= {
            cand -s 'Sets the key server to use.  Can be given multiple times.'
            cand --server 'Sets the key server to use.  Can be given multiple times.'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --require-all 'Requires that all publish operations succeed and return an error otherwise.  By default we only require that one publish operation succeeds.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;keyserver;help'= {
            cand fetch 'Retrieves certificates from key servers'
            cand publish 'Publishes certificates on key servers'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;keyserver;help;fetch'= {
        }
        &'sq;network;keyserver;help;publish'= {
        }
        &'sq;network;keyserver;help;help'= {
        }
        &'sq;network;wkd'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand generate 'Generates a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieves certificates from a Web Key Directory'
            cand direct-url 'Prints the direct Web Key Directory URL of an email address'
            cand url 'Prints the advanced Web Key Directory URL of an email address'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;wkd;generate'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -d 'Uses the direct method [default: advanced method]'
            cand --direct-method 'Uses the direct method [default: advanced method]'
            cand -s 'Skips certificates that do not have User IDs for given domain.'
            cand --skip 'Skips certificates that do not have User IDs for given domain.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;fetch'= {
            cand -o 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;direct-url'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;url'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;wkd;help'= {
            cand generate 'Generates a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieves certificates from a Web Key Directory'
            cand direct-url 'Prints the direct Web Key Directory URL of an email address'
            cand url 'Prints the advanced Web Key Directory URL of an email address'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;wkd;help;generate'= {
        }
        &'sq;network;wkd;help;fetch'= {
        }
        &'sq;network;wkd;help;direct-url'= {
        }
        &'sq;network;wkd;help;url'= {
        }
        &'sq;network;wkd;help;help'= {
        }
        &'sq;network;dane'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand generate 'Generates DANE records for the given domain and certs'
            cand fetch 'Retrieves certificates using DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;dane;generate'= {
            cand --ttl 'Sets the TTL (maximum cache duration) of the resource records'
            cand --size-limit 'Try to shrink the certificates to this size'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --generic 'Emits generic resource records [default: OPENPGPKEY records]'
            cand -s 'Skips expired certificates and those that do not have User IDs for given domain.'
            cand --skip 'Skips expired certificates and those that do not have User IDs for given domain.'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;dane;fetch'= {
            cand -o 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --output 'Writes to FILE (or stdout when omitted) instead of importing into the certificate store'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;network;dane;help'= {
            cand generate 'Generates DANE records for the given domain and certs'
            cand fetch 'Retrieves certificates using DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;dane;help;generate'= {
        }
        &'sq;network;dane;help;fetch'= {
        }
        &'sq;network;dane;help;help'= {
        }
        &'sq;network;help'= {
            cand fetch 'Retrieves certificates using all supported network services'
            cand keyserver 'Retrieves and publishes certificates via key servers'
            cand wkd 'Retrieves and publishes certificates via Web Key Directories'
            cand dane 'Retrieves and publishes certificates via DANE'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;network;help;fetch'= {
        }
        &'sq;network;help;keyserver'= {
            cand fetch 'Retrieves certificates from key servers'
            cand publish 'Publishes certificates on key servers'
        }
        &'sq;network;help;keyserver;fetch'= {
        }
        &'sq;network;help;keyserver;publish'= {
        }
        &'sq;network;help;wkd'= {
            cand generate 'Generates a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieves certificates from a Web Key Directory'
            cand direct-url 'Prints the direct Web Key Directory URL of an email address'
            cand url 'Prints the advanced Web Key Directory URL of an email address'
        }
        &'sq;network;help;wkd;generate'= {
        }
        &'sq;network;help;wkd;fetch'= {
        }
        &'sq;network;help;wkd;direct-url'= {
        }
        &'sq;network;help;wkd;url'= {
        }
        &'sq;network;help;dane'= {
            cand generate 'Generates DANE records for the given domain and certs'
            cand fetch 'Retrieves certificates using DANE'
        }
        &'sq;network;help;dane;generate'= {
        }
        &'sq;network;help;dane;fetch'= {
        }
        &'sq;network;help;help'= {
        }
        &'sq;toolbox'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand packet 'Low-level packet manipulation'
            cand armor 'Converts binary to ASCII'
            cand dearmor 'Converts ASCII to binary'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;packet'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
            cand dump 'Lists packets'
            cand decrypt 'Unwraps an encryption container'
            cand split 'Splits a message into packets'
            cand join 'Joins packets split across files'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;packet;dump'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --session-key 'Decrypts an encrypted message using SESSION-KEY'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --mpis 'Prints cryptographic artifacts'
            cand -x 'Prints a hexdump'
            cand --hex 'Prints a hexdump'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;decrypt'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --recipient-file 'Decrypts the message using the key in KEY_FILE'
            cand --private-key-store 'Provides parameters for private key store'
            cand --session-key 'Decrypts an encrypted message using SESSION-KEY'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand --dump-session-key 'Prints the session key to stderr'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;split'= {
            cand -p 'Writes to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --prefix 'Writes to files with PREFIX [defaults: `FILE-` if FILE is set, or `output-` if read from stdin]'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;join'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --label 'Selects the kind of armor header'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -B 'Emits binary data'
            cand --binary 'Emits binary data'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;packet;help'= {
            cand dump 'Lists packets'
            cand decrypt 'Unwraps an encryption container'
            cand split 'Splits a message into packets'
            cand join 'Joins packets split across files'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;packet;help;dump'= {
        }
        &'sq;toolbox;packet;help;decrypt'= {
        }
        &'sq;toolbox;packet;help;split'= {
        }
        &'sq;toolbox;packet;help;join'= {
        }
        &'sq;toolbox;packet;help;help'= {
        }
        &'sq;toolbox;armor'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --label 'Selects the kind of armor header'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;dearmor'= {
            cand -o 'Writes to FILE or stdout if omitted'
            cand --output 'Writes to FILE or stdout if omitted'
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;toolbox;help'= {
            cand packet 'Low-level packet manipulation'
            cand armor 'Converts binary to ASCII'
            cand dearmor 'Converts ASCII to binary'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;toolbox;help;packet'= {
            cand dump 'Lists packets'
            cand decrypt 'Unwraps an encryption container'
            cand split 'Splits a message into packets'
            cand join 'Joins packets split across files'
        }
        &'sq;toolbox;help;packet;dump'= {
        }
        &'sq;toolbox;help;packet;decrypt'= {
        }
        &'sq;toolbox;help;packet;split'= {
        }
        &'sq;toolbox;help;packet;join'= {
        }
        &'sq;toolbox;help;armor'= {
        }
        &'sq;toolbox;help;dearmor'= {
        }
        &'sq;toolbox;help;help'= {
        }
        &'sq;version'= {
            cand --cert-store 'Specifies the location of the certificate store'
            cand --pep-cert-store 'Specifies the location of a pEp certificate store'
            cand --keyring 'Specifies the location of a keyring to use'
            cand --output-format 'Produces output in FORMAT, if possible'
            cand --output-version 'Produces output variant VERSION.'
            cand --known-notation 'Adds NOTATION to the list of known notations'
            cand --time 'Sets the reference time as ISO 8601 formatted timestamp'
            cand --trust-root 'Considers the specified certificate to be a trust root'
            cand --default-output-version 'List the default output version'
            cand --output-versions 'List all the supported output versions'
            cand -f 'Overwrites existing files'
            cand --force 'Overwrites existing files'
            cand --no-cert-store 'Disables the use of a certificate store'
            cand -v 'Be more verbose.'
            cand --verbose 'Be more verbose.'
            cand -h 'Print help (see more with ''--help'')'
            cand --help 'Print help (see more with ''--help'')'
        }
        &'sq;help'= {
            cand encrypt 'Encrypts a message'
            cand decrypt 'Decrypts a message'
            cand sign 'Signs messages or data files'
            cand verify 'Verifies signed messages or detached signatures'
            cand inspect 'Inspects data, like file(1)'
            cand cert 'Manages certificates'
            cand key 'Manages keys'
            cand keyring 'Manages collections of keys or certs'
            cand pki 'Authenticate certs using the Web of Trust'
            cand autocrypt 'Communicates certificates using Autocrypt'
            cand network 'Retrieves and publishes certificates over the network'
            cand toolbox 'Tools for developers, maintainers, and forensic specialists'
            cand version 'Detailed version and output version information'
            cand help 'Print this message or the help of the given subcommand(s)'
        }
        &'sq;help;encrypt'= {
        }
        &'sq;help;decrypt'= {
        }
        &'sq;help;sign'= {
        }
        &'sq;help;verify'= {
        }
        &'sq;help;inspect'= {
        }
        &'sq;help;cert'= {
            cand import 'Imports certificates into the local certificate store'
            cand export 'Exports certificates from the local certificate store'
        }
        &'sq;help;cert;import'= {
        }
        &'sq;help;cert;export'= {
        }
        &'sq;help;key'= {
            cand generate 'Generates a new key'
            cand password 'Changes password protecting secrets'
            cand revoke 'Revoke a certificate'
            cand userid 'Manages User IDs'
            cand subkey 'Manages Subkeys'
            cand extract-cert 'Converts a key to a cert'
            cand attest-certifications 'Attests to third-party certifications'
            cand adopt 'Binds keys from one certificate to another'
        }
        &'sq;help;key;generate'= {
        }
        &'sq;help;key;password'= {
        }
        &'sq;help;key;revoke'= {
        }
        &'sq;help;key;userid'= {
            cand add 'Adds a User ID'
            cand revoke 'Revoke a User ID'
            cand strip 'Strips a User ID'
        }
        &'sq;help;key;userid;add'= {
        }
        &'sq;help;key;userid;revoke'= {
        }
        &'sq;help;key;userid;strip'= {
        }
        &'sq;help;key;subkey'= {
            cand add 'Adds a newly generated Subkey'
            cand revoke 'Revoke a subkey'
        }
        &'sq;help;key;subkey;add'= {
        }
        &'sq;help;key;subkey;revoke'= {
        }
        &'sq;help;key;extract-cert'= {
        }
        &'sq;help;key;attest-certifications'= {
        }
        &'sq;help;key;adopt'= {
        }
        &'sq;help;keyring'= {
            cand list 'Lists keys in a keyring'
            cand split 'Splits a keyring into individual keys'
            cand merge 'Merges keys or keyrings into a single keyring'
            cand filter 'Joins keys into a keyring applying a filter'
            cand lint 'Checks certificates for issues'
        }
        &'sq;help;keyring;list'= {
        }
        &'sq;help;keyring;split'= {
        }
        &'sq;help;keyring;merge'= {
        }
        &'sq;help;keyring;filter'= {
        }
        &'sq;help;keyring;lint'= {
        }
        &'sq;help;pki'= {
            cand authenticate 'Authenticate a binding'
            cand lookup 'Lookup the certificates associated with a User ID'
            cand identify 'Identify a certificate'
            cand certify 'Certifies a User ID for a Certificate'
            cand link 'Manages authenticated certificate and User ID links'
            cand list 'List all authenticated bindings (User ID and certificate pairs)'
            cand path 'Verify the specified path'
        }
        &'sq;help;pki;authenticate'= {
        }
        &'sq;help;pki;lookup'= {
        }
        &'sq;help;pki;identify'= {
        }
        &'sq;help;pki;certify'= {
        }
        &'sq;help;pki;link'= {
            cand add 'Link a certificate and a User ID'
            cand retract 'Retracts links'
            cand list 'Lists links'
        }
        &'sq;help;pki;link;add'= {
        }
        &'sq;help;pki;link;retract'= {
        }
        &'sq;help;pki;link;list'= {
        }
        &'sq;help;pki;list'= {
        }
        &'sq;help;pki;path'= {
        }
        &'sq;help;autocrypt'= {
            cand import 'Imports Autocrypt-encoded certificates'
            cand decode 'Reads Autocrypt-encoded certificates'
            cand encode-sender 'Encodes a certificate into an Autocrypt header'
        }
        &'sq;help;autocrypt;import'= {
        }
        &'sq;help;autocrypt;decode'= {
        }
        &'sq;help;autocrypt;encode-sender'= {
        }
        &'sq;help;network'= {
            cand fetch 'Retrieves certificates using all supported network services'
            cand keyserver 'Retrieves and publishes certificates via key servers'
            cand wkd 'Retrieves and publishes certificates via Web Key Directories'
            cand dane 'Retrieves and publishes certificates via DANE'
        }
        &'sq;help;network;fetch'= {
        }
        &'sq;help;network;keyserver'= {
            cand fetch 'Retrieves certificates from key servers'
            cand publish 'Publishes certificates on key servers'
        }
        &'sq;help;network;keyserver;fetch'= {
        }
        &'sq;help;network;keyserver;publish'= {
        }
        &'sq;help;network;wkd'= {
            cand generate 'Generates a Web Key Directory for the given domain and certs'
            cand fetch 'Retrieves certificates from a Web Key Directory'
            cand direct-url 'Prints the direct Web Key Directory URL of an email address'
            cand url 'Prints the advanced Web Key Directory URL of an email address'
        }
        &'sq;help;network;wkd;generate'= {
        }
        &'sq;help;network;wkd;fetch'= {
        }
        &'sq;help;network;wkd;direct-url'= {
        }
        &'sq;help;network;wkd;url'= {
        }
        &'sq;help;network;dane'= {
            cand generate 'Generates DANE records for the given domain and certs'
            cand fetch 'Retrieves certificates using DANE'
        }
        &'sq;help;network;dane;generate'= {
        }
        &'sq;help;network;dane;fetch'= {
        }
        &'sq;help;toolbox'= {
            cand packet 'Low-level packet manipulation'
            cand armor 'Converts binary to ASCII'
            cand dearmor 'Converts ASCII to binary'
        }
        &'sq;help;toolbox;packet'= {
            cand dump 'Lists packets'
            cand decrypt 'Unwraps an encryption container'
            cand split 'Splits a message into packets'
            cand join 'Joins packets split across files'
        }
        &'sq;help;toolbox;packet;dump'= {
        }
        &'sq;help;toolbox;packet;decrypt'= {
        }
        &'sq;help;toolbox;packet;split'= {
        }
        &'sq;help;toolbox;packet;join'= {
        }
        &'sq;help;toolbox;armor'= {
        }
        &'sq;help;toolbox;dearmor'= {
        }
        &'sq;help;version'= {
        }
        &'sq;help;help'= {
        }
    ]
    $completions[$command]
}
